// priority: 0

console.info('Hello, World! (You will see this line every time server resources reload)')

ServerEvents.recipes(event => {
    
	
	event.remove({id: 'ars_nouveau:arcane_core'})
	event.remove({id: 'ars_nouveau:enchanting_apparatus'})
	event.remove({id: 'ars_nouveau:scribes_table'})
	event.remove({id: 'ars_nouveau:source_jar'})
	event.remove({id: 'ars_nouveau:arcane_pedestal'})
	event.remove({id: 'ars_nouveau:imbuement_chamber'})
	event.remove({output: 'ars_nouveau:belt_of_levitation'})

       event.recipes.ars_nouveau.enchanting_apparatus(
        [
	"cataclysm:void_eye",
        "ars_nouveau:air_essence",
        "minecraft:dragon_head",
        "minecraft:ender_eye",
        "cataclysm:void_eye",
        "ars_nouveau:air_essence",
        "minecraft:dragon_head",
	"minecraft:ender_eye"
        ],
	    "ars_nouveau:mundane_belt",
	    "ars_nouveau:belt_of_levitation",
	    5000,
	    false)

event.shaped('ars_nouveau:arcane_pedestal', [
    'CDC', 
    'BCB', 
    'BAB'  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'minecraft:gold_nugget', 
    C: 'ars_nouveau:sourcestone',
    D: 'ars_nouveau:source_gem'    
  }
)

event.shaped('ars_nouveau:imbuement_chamber', [
    'CBC', 
    'A A', 
    'CBC'  
  ], {
    A: 'kubejs:processed_wood', 
    B: '#forge:ingots/gold', 
    C: 'ars_nouveau:archwood_planks'    
  }
)

event.shaped('ars_nouveau:arcane_core', [
    'AAA', 
    'BCB', 
    'AAA'  
  ], {
    A: 'kubejs:processed_wood', 
    B: '#forge:ingots/gold', 
    C: 'ars_nouveau:source_gem'   
  }
)

event.shaped('ars_nouveau:enchanting_apparatus', [
    'CAC', 
    'BDB', 
    'CAC'  
  ], {
    A: 'kubejs:processed_wood', 
    B: '#forge:ingots/gold', 
    C: 'minecraft:gold_nugget',
    D: 'ars_nouveau:source_gem_block',	   
  }
)

event.shaped('ars_nouveau:scribes_table', [
    'BBB', 
    'C C', 
    'A A'  
  ], {
    A: 'kubejs:processed_wood', 
    B: 'ars_nouveau:archwood_slab', 
    C: 'minecraft:gold_nugget'	   
  }
)

event.shaped('2x ars_nouveau:source_jar', [
    'AAA', 
    'B B', 
    'AAA'  
  ], {
    A: 'kubejs:processed_wood', 
    B: '#forge:glass'	   
  }
)
  
 event.recipes.ars_nouveau.imbuement(
        "#forge:stripped_logs",
        "3x kubejs:processed_wood",
        2000,
        [
            "#minecraft:coals",
            "#minecraft:coals",
            "#minecraft:coals",
            "#minecraft:coals",
            "#minecraft:coals"

        ])

  
})